Bug 1090855 - Cannot add additional input parameters to a service task
Summary: Cannot add additional input parameters to a service task
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Eclipse Tooling
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Kris Verlaenen
QA Contact: Marek Baluch
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-24 10:06 UTC by Ivo Bek
Modified: 2020-03-27 19:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 19:33:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Ivo Bek 2014-04-24 10:06:44 UTC
Description of problem:

Service task functionality of I/O Parameters is disabled (only Edit button is enabled). Only one parameter is currently supported when I set "Map Service Request Message Data From" in the "Service Task" tab. 

Default ServiceTaskHandler for Java implemenation requires two parameters (Parameter and ParameterType), so it is not possible to use it in the BPMN Designer and has to be added manually in an XML editor. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Kris Verlaenen 2014-04-24 11:10:18 UTC
Ivo, sorry, I couldn't figure out what you mean in your first paragraph.  Could you elaborate, maybe include a screenshot of what you see wrong?

Comment 2 Marek Baluch 2014-04-24 11:23:58 UTC
Kris,

please see https://bugs.eclipse.org/bugs/show_bug.cgi?id=425820, which should explain what Ivo means with "I/O Parameters is disabled".

At some point (based on definitions being present) the I/O Parameters tab cannot be used to set parameters anymore. The setting will appear on the Service Task tab.

Comment 3 Robert (Bob) Brodt 2014-09-02 19:13:59 UTC
Fixed

Comment 4 Marek Baluch 2014-10-06 11:59:18 UTC
Verified on JBDSIS 8.0.0.Alpha2


Note You need to log in before you can comment on or make changes to this bug.